// ACM Problem A.
// Written by Christopher Thomas.

//
// Includes
//

#include <math.h>
#include <iostream>

using namespace std;



//
// Prototypes
//

// Prints an approximation of e with the desired number of approximation
// iterations.
void show_approx(long imax);



//
// Functions
//

// Prints an approximation of e with the desired number of approximation
// iterations.

void show_approx(long imax)
{
  long i;
  double ireal, ifact, est;

  // FIXME - No error checking!

  // Cheat, and special-case values that will muck up formatting, or
  // that will muck up factorial calculations.
  switch (imax)
  {
    case 0: // 1/1
      cout << "1\n";
      break;

    case 1: // 1/1 + 1/1
      cout << "2\n";
      break;

    case 2: // 1/1 + 1/1 + 1/2
      cout << "2.5\n";
      break;

    default:
      // Do this the long way. 
      est = 2.5;
      ifact = 2.0;
      for (i = 3; i <= imax; i++)
      {
        ireal = i;
        ifact = ifact * ireal;
        est = est + (1.0 / ifact);
      }

      cout.precision(10);
      cout << est << "\n";
  }
}



//
// Main Program
//

int main(void)
{
  long imax;

  // Iterate through input lines.
  // FIXME - No error checking!

  // Scan iteration values.
  imax = -1;
  do
  {
    cin >> imax;
    if (0 <= imax)
      show_approx(imax);
  }
  while (0 <= imax);

  // Report success.
  return 0;
}



//
// This is the end of the file.
//
