// ACM Problem B.
// Written by Christopher Thomas.

//
// Includes
//

#include <iostream>
#include <sstream>

using namespace std;



//
// Prototypes
//

// Helper function for n-choose-k. Adds sequences with some elements 
// fixed. Last element chosen is indicated.
void show_choices_helper(long n, long k, long nfixed, long choice,
  bool *checklist, string prefix);

// Shows all n-choose-k subsets of 0..(n-1) in lexical order.
void show_choices(long n, long k);



//
// Functions
//

// Helper function for n-choose-k. Adds sequences with some elements 
// fixed.

void show_choices_helper(long n, long k, long nfixed, long choice,
  bool *checklist, string prefix)
{
  long j;
  stringstream newprefix(stringstream::out);

// FIXME - Diagnostics
#if 0
cout << "--helper called for (" << n << ' ' << k << ") at " << nfixed
  << " pref \"" << prefix << "\" last " << choice << "\n";
#endif

  // FIXME - Blithely assuming that we still have values to scan, and that
  // parameters are sane.

  // Scan for values of this element.
  // NOTE - For lexical order, start at one greater than the previous
  // value chosen.
  for (j = choice + 1; j < n; j++)
  {
    // If this is a valid choice, select it.
    if (checklist[j])
    {
      // If this is the tail case, print the works.
      if ((nfixed + 1) >= k)
      {
        cout << prefix;
        if (0 < nfixed)
          cout << ',';
        cout << j << "\n";
      }
      else // We need to recurse still.
      {
        // Make the new prefix.
        newprefix.str("");
        newprefix << prefix;
        if (0 < nfixed)
          newprefix << ',';
        newprefix << j;

        // Mark, recurse, unmark.
        checklist[j] = false;
        show_choices_helper(n, k, nfixed + 1, j,
          checklist, newprefix.str());
        checklist[j] = true;
      }
    }
  }
}


// Shows all n-choose-k subsets of 0..(n-1) in lexical order.

void show_choices(long n, long k)
{
  bool *checklist;
  long nidx;

  // Make the checklist.
  checklist = new bool[n];
  if (NULL == checklist)
  {
    cerr << "Couldn't create checklist!\n";
    exit(0);
  }

  // Initialize the checklist.
  for (nidx = 0; nidx < n; nidx++)
    checklist[nidx] = true;

  // Call the helper function.
  show_choices_helper(n, k, 0, -1, checklist, "");

  // Get rid of the checklist.
  delete checklist;
}



//
// Main Program
//

int main(void)
{
  long cases, cidx;
  long a, b;

  // Iterate through input pairs.
  // FIXME - No error checking!

  // Get case count.
  cin >> cases;
  for (cidx = 0; cidx < cases; cidx++)
  {
    cin >> a;
    cin >> b;

    if (cidx > 0)
      cout << "\n";

    show_choices(a, b);
  }

  // Report success.
  return 0;
}



//
// This is the end of the file.
//
